MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000532XdebugUsage problems (Wrong Results)public2010-02-04 23:242010-02-17 00:32
Reporterbbence 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000532: XDebug breaks header() function
DescriptionI use:
  - Windows 7 RC
  - PHP 5.3.1
  - php_xdebug-2.1.0beta2-5.3-vc6.dll

And the following PHP code:
<?php
header('Content-Type: text/plain; charset=UTF-8');
echo 'This is plain text HTML tags should be visible:

';


Expected result is the following HTTP header:
Content-Type: text/plain; charset=UTF-8


Actual result is this:
Content-Type: text/html


Screenshots:
With php_xdebug-2.1.0beta2-5.3-vc6.dll (buggy Content-Type header, X-Powered-By header gone too):
http://img251.imageshack.us/img251/9168/badd.png [^]

With php_xdebug-2.0.5-5.3-vc6.dll (WORKS PROPERLY):
http://img269.imageshack.us/img269/3267/goodu.png [^]

TagsNo tags attached.
Operating SystemWindows 7 RC
PHP Version5.3.1
Attached Files

- Relationships
has duplicate 0000536resolvedderick Only partial headers are sent when xdebug is enabled 
has duplicate 0000541resolvedderick No 2.1.0 Beta version is actually setting the cookie for the debug session 

-  Notes
(0001320)
jotta (reporter)
2010-02-05 01:00

Confirming the above - I'm having the very same issue using the following setup:

- Windows 7, x64
- Apache 2.2.14 (VC9, from http://www.apachelounge.com/download/ [^])
- PHP 5.3.1 (VC9, from php.net)
- php_xdebug-2.1.0beta2-5.3-vc9.dll
- basic xdebug configuration:
  xdebug.remote_enable=true
  xdebug.remote_host=127.0.0.1
  xdebug.remote_port=9000
  xdebug.remote_handler=dbgp
- basic debugging works fine (Netbeans 6.8)

It looks that no HTTP headers from PHP reach the browser (even the X-Powered-By header is missing) - this way location headers or content type charset settings don't work at all.
(0001321)
dcc (reporter)
2010-02-05 04:15

I'm also experiencing this issue (obviously cookies / cookie based sessions don't work correctly without headers)

Exactly the same setup as jotta, with code that boils down to:
<?php
setcookie('test', 'hello world', 0);

var_dump($_COOKIE['test']);

Expected Result:
string(11) "hello world"

Actual Result:
Notice: Undefined index: test

Issues goes away when xdebug is not loaded.
(0001325)
derick (administrator)
2010-02-06 14:05

Good news, I can reproduce this (With Apache from apache.org, and PHP 5.2.13dev VC6 with Xdebug 2.1.0beta3-dev). Bad news, no clue why this happens yet :-)
(0001328)
v0id3r (reporter)
2010-02-09 14:00

Expecting same bug on Windows 7 RTM Professional 32-bit with php 5.3.1 VC9 and xdebug beta2. I hope it will be fixed soon, because it is so boring to work without debug =(
(0001334)
derick (administrator)
2010-02-16 00:54

I was be able to reproduce this on Linux in a threaded environment as well, and I've just uploaded new Windows binaries to http://xdebug.org/files/xdebug-latest.tgz [^] which should contain a binary that has this issue fixed. Could you please verify this as well? (The binaries should also fix another crash bug)
(0001340)
alcaeus (reporter)
2010-02-16 10:36
edited on: 2010-02-16 10:36

Works for me:
Win7 x64
Apache 2.2.14 (x86)
PHP 5.3.1 VC9 TS (x86)
Xdebug v2.1.0beta3-dev

(0001345)
mpanciera (reporter)
2010-02-16 21:50

Thanks Derick!
Working on Win XP
Apache Version Apache/2.2.11 (Win32) PHP/5.3.0
 with Xdebug v2.1.0beta3-dev
php_xdebug-2.1dev-5.3-vc6.dll

Variables in local scope (0000002) are all still reporting as undefined.
(0001349)
derick (administrator)
2010-02-17 00:32

Closing, as this seems fixed now.

@mpanciera contact me through the mailinglist with a remote debug log (See http://xdebug.org/docs/remote#remote_log [^] on how to make one)

- Issue History
Date Modified Username Field Change
2010-02-04 23:24 bbence New Issue
2010-02-04 23:24 bbence Operating System => Windows 7 RC
2010-02-04 23:24 bbence PHP Version => 5.3.1
2010-02-04 23:24 bbence Xdebug Version => 2.1.0-dev
2010-02-05 01:00 jotta Note Added: 0001320
2010-02-05 04:15 dcc Note Added: 0001321
2010-02-06 14:05 derick Note Added: 0001325
2010-02-09 14:00 v0id3r Note Added: 0001328
2010-02-14 15:14 derick Relationship added has duplicate 0000536
2010-02-16 00:54 derick Note Added: 0001334
2010-02-16 10:24 derick Status new => feedback
2010-02-16 10:36 alcaeus Note Added: 0001340
2010-02-16 10:36 alcaeus Note Edited: 0001340
2010-02-16 21:50 mpanciera Note Added: 0001345
2010-02-17 00:32 derick Note Added: 0001349
2010-02-17 00:32 derick Status feedback => closed
2010-02-17 00:32 derick Resolution open => fixed
2010-02-24 11:20 derick Relationship added has duplicate 0000541
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker